
package com.tmerclub.cloud.flow.dto;

import io.swagger.v3.oas.annotations.media.Schema;

import java.io.Serial;
import java.io.Serializable;
import java.util.Date;

/**
 * 用户流量记录
 *
 * @author YXF
 * @date 2020-07-13 13:18:33
 */
public class FlowLogDTO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    /**
     * operateId
     */
    @Schema(description = "用户操作编号")
    private Long oid;

    /**
     * systemType
     */
    @Schema(description = "系统类型 1:pc  2:h5  3:小程序 4:安卓  5:ios")
    private Integer st;

    /**
     * pageId
     */
    @Schema(description = "页面id")
    private Integer pid;

    /**
     * visitEvent
     */
    @Schema(description = "访问事件 1:页面访问 2:加购 3：收藏 4：提交订单 5：支付成功")
    private Integer ve;

    @Schema(description = "店铺id， 平台传0")
    private Integer sid;

    @Schema(description = "业务id")
    private String bid;

    /**
     * step
     */
    @Schema(description = "用户操作步骤数")
    private Integer s;

    /**
     * nums
     */
    @Schema(description = "用户操作数量")
    private Integer n;

    /**
     * 用户id
     */
    private Long userId;

    /**
     * 用户登陆ip
     */
    private String ip;

    /**
     * 创建时间
     */
    private Date createTime;

    public Long getOid() {
        return oid;
    }

    public void setOid(Long oid) {
        this.oid = oid;
    }

    public Integer getSt() {
        return st;
    }

    public void setSt(Integer st) {
        this.st = st;
    }

    public Integer getPid() {
        return pid;
    }

    public void setPid(Integer pid) {
        this.pid = pid;
    }

    public Integer getVe() {
        return ve;
    }

    public void setVe(Integer ve) {
        this.ve = ve;
    }

    public Integer getSid() {
        return sid;
    }

    public void setSid(Integer sid) {
        this.sid = sid;
    }

    public String getBid() {
        return bid;
    }

    public void setBid(String bid) {
        this.bid = bid;
    }

    public Integer getS() {
        return s;
    }

    public void setS(Integer s) {
        this.s = s;
    }

    public Integer getN() {
        return n;
    }

    public void setN(Integer n) {
        this.n = n;
    }

    public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public String getIp() {
        return ip;
    }

    public void setIp(String ip) {
        this.ip = ip;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    @Override
    public String toString() {
        return "FlowLogDTO{" +
                "oid='" + oid + '\'' +
                ", st=" + st +
                ", pid=" + pid +
                ", ve=" + ve +
                ", sid=" + sid +
                ", bid='" + bid + '\'' +
                ", s=" + s +
                ", n=" + n +
                ", userId='" + userId + '\'' +
                ", ip='" + ip + '\'' +
                ", createTime=" + createTime +
                '}';
    }
}
